Index: trunk/plugins/admin_advices/admin_advices.php
===================================================================
--- trunk/plugins/admin_advices/admin_advices.php	(revision 4852)
+++ trunk/plugins/admin_advices/admin_advices.php	(revision 5196)
@@ -3,5 +3,5 @@
 // | Piwigo - a PHP based picture gallery                                  |
 // +-----------------------------------------------------------------------+
-// | Copyright(C) 2008-2009 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2008-2010 Piwigo Team                  http://piwigo.org |
 // | Copyright(C) 2003-2008 Piwigo team    http://phpwebgallery.net |
 // | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
Index: trunk/plugins/admin_advices/adv_set.php
===================================================================
--- trunk/plugins/admin_advices/adv_set.php	(revision 4852)
+++ trunk/plugins/admin_advices/adv_set.php	(revision 5196)
@@ -3,5 +3,5 @@
 // | Piwigo - a PHP based picture gallery                                  |
 // +-----------------------------------------------------------------------+
-// | Copyright(C) 2008-2009 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2008-2010 Piwigo Team                  http://piwigo.org |
 // | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
 // | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
Index: trunk/plugins/admin_advices/index.php
===================================================================
--- trunk/plugins/admin_advices/index.php	(revision 4852)
+++ trunk/plugins/admin_advices/index.php	(revision 5196)
@@ -3,5 +3,5 @@
 // | Piwigo - a PHP based picture gallery                                  |
 // +-----------------------------------------------------------------------+
-// | Copyright(C) 2008-2009 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2008-2010 Piwigo Team                  http://piwigo.org |
 // | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
 // | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
Index: trunk/plugins/admin_advices/language/de_DE/index.php
===================================================================
--- trunk/plugins/admin_advices/language/de_DE/index.php	(revision 4852)
+++ trunk/plugins/admin_advices/language/de_DE/index.php	(revision 5196)
@@ -3,5 +3,5 @@
 // | Piwigo - a PHP based picture gallery                                  |
 // +-----------------------------------------------------------------------+
-// | Copyright(C) 2008-2009 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2008-2010 Piwigo Team                  http://piwigo.org |
 // | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
 // | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
Index: trunk/plugins/admin_advices/language/de_DE/plugin.lang.php
===================================================================
--- trunk/plugins/admin_advices/language/de_DE/plugin.lang.php	(revision 4852)
+++ trunk/plugins/admin_advices/language/de_DE/plugin.lang.php	(revision 5196)
@@ -3,5 +3,5 @@
 // | Piwigo - a PHP based picture gallery                                  |
 // +-----------------------------------------------------------------------+
-// | Copyright(C) 2008-2009 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2008-2010 Piwigo Team                  http://piwigo.org |
 // | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
 // | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
Index: trunk/plugins/admin_advices/language/en_UK/index.php
===================================================================
--- trunk/plugins/admin_advices/language/en_UK/index.php	(revision 4852)
+++ trunk/plugins/admin_advices/language/en_UK/index.php	(revision 5196)
@@ -3,5 +3,5 @@
 // | Piwigo - a PHP based picture gallery                                  |
 // +-----------------------------------------------------------------------+
-// | Copyright(C) 2008-2009 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2008-2010 Piwigo Team                  http://piwigo.org |
 // | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
 // | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
Index: trunk/plugins/admin_advices/language/en_UK/plugin.lang.php
===================================================================
--- trunk/plugins/admin_advices/language/en_UK/plugin.lang.php	(revision 4852)
+++ trunk/plugins/admin_advices/language/en_UK/plugin.lang.php	(revision 5196)
@@ -3,5 +3,5 @@
 // | Piwigo - a PHP based picture gallery                                  |
 // +-----------------------------------------------------------------------+
-// | Copyright(C) 2008-2009 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2008-2010 Piwigo Team                  http://piwigo.org |
 // | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
 // | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
Index: trunk/plugins/admin_advices/language/es_ES/index.php
===================================================================
--- trunk/plugins/admin_advices/language/es_ES/index.php	(revision 4852)
+++ trunk/plugins/admin_advices/language/es_ES/index.php	(revision 5196)
@@ -3,5 +3,5 @@
 // | Piwigo - a PHP based picture gallery                                  |
 // +-----------------------------------------------------------------------+
-// | Copyright(C) 2008-2009 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2008-2010 Piwigo Team                  http://piwigo.org |
 // | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
 // | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
Index: trunk/plugins/admin_advices/language/es_ES/plugin.lang.php
===================================================================
--- trunk/plugins/admin_advices/language/es_ES/plugin.lang.php	(revision 4852)
+++ trunk/plugins/admin_advices/language/es_ES/plugin.lang.php	(revision 5196)
@@ -3,5 +3,5 @@
 // | Piwigo - a PHP based picture gallery                                  |
 // +-----------------------------------------------------------------------+
-// | Copyright(C) 2008-2009 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2008-2010 Piwigo Team                  http://piwigo.org |
 // | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
 // | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
Index: trunk/plugins/admin_advices/language/fr_FR/index.php
===================================================================
--- trunk/plugins/admin_advices/language/fr_FR/index.php	(revision 4852)
+++ trunk/plugins/admin_advices/language/fr_FR/index.php	(revision 5196)
@@ -3,5 +3,5 @@
 // | Piwigo - a PHP based picture gallery                                  |
 // +-----------------------------------------------------------------------+
-// | Copyright(C) 2008-2009 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2008-2010 Piwigo Team                  http://piwigo.org |
 // | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
 // | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
Index: trunk/plugins/admin_advices/language/fr_FR/plugin.lang.php
===================================================================
--- trunk/plugins/admin_advices/language/fr_FR/plugin.lang.php	(revision 4852)
+++ trunk/plugins/admin_advices/language/fr_FR/plugin.lang.php	(revision 5196)
@@ -3,5 +3,5 @@
 // | Piwigo - a PHP based picture gallery                                  |
 // +-----------------------------------------------------------------------+
-// | Copyright(C) 2008-2009 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2008-2010 Piwigo Team                  http://piwigo.org |
 // | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
 // | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
Index: trunk/plugins/admin_advices/language/index.php
===================================================================
--- trunk/plugins/admin_advices/language/index.php	(revision 4852)
+++ trunk/plugins/admin_advices/language/index.php	(revision 5196)
@@ -3,5 +3,5 @@
 // | Piwigo - a PHP based picture gallery                                  |
 // +-----------------------------------------------------------------------+
-// | Copyright(C) 2008-2009 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2008-2010 Piwigo Team                  http://piwigo.org |
 // | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
 // | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
Index: trunk/plugins/admin_advices/language/it_IT/index.php
===================================================================
--- trunk/plugins/admin_advices/language/it_IT/index.php	(revision 4852)
+++ trunk/plugins/admin_advices/language/it_IT/index.php	(revision 5196)
@@ -3,5 +3,5 @@
 // | Piwigo - a PHP based picture gallery                                  |
 // +-----------------------------------------------------------------------+
-// | Copyright(C) 2008-2009 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2008-2010 Piwigo Team                  http://piwigo.org |
 // | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
 // | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
Index: trunk/plugins/admin_advices/language/it_IT/plugin.lang.php
===================================================================
--- trunk/plugins/admin_advices/language/it_IT/plugin.lang.php	(revision 4852)
+++ trunk/plugins/admin_advices/language/it_IT/plugin.lang.php	(revision 5196)
@@ -3,5 +3,5 @@
 // | Piwigo - a PHP based picture gallery                                  |
 // +-----------------------------------------------------------------------+
-// | Copyright(C) 2008-2009 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2008-2010 Piwigo Team                  http://piwigo.org |
 // | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
 // | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
Index: trunk/plugins/admin_advices/language/pl_PL/index.php
===================================================================
--- trunk/plugins/admin_advices/language/pl_PL/index.php	(revision 4852)
+++ trunk/plugins/admin_advices/language/pl_PL/index.php	(revision 5196)
@@ -3,5 +3,5 @@
 // | Piwigo - a PHP based picture gallery                                  |
 // +-----------------------------------------------------------------------+
-// | Copyright(C) 2008-2009 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2008-2010 Piwigo Team                  http://piwigo.org |
 // | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
 // | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
Index: trunk/plugins/admin_advices/main.inc.php
===================================================================
--- trunk/plugins/admin_advices/main.inc.php	(revision 4852)
+++ trunk/plugins/admin_advices/main.inc.php	(revision 5196)
@@ -3,5 +3,5 @@
 // | Piwigo - a PHP based picture gallery                                  |
 // +-----------------------------------------------------------------------+
-// | Copyright(C) 2008-2009 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2008-2010 Piwigo Team                  http://piwigo.org |
 // | Copyright(C) 2003-2008 Piwigo team    http://phpwebgallery.net |
 // | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |