Index: /trunk/admin/group_perm.php
===================================================================
--- /trunk/admin/group_perm.php	(revision 5205)
+++ /trunk/admin/group_perm.php	(revision 5206)
@@ -133,5 +133,5 @@
     'TITLE' =>
       sprintf(
-        l10n('Manage permissions for group \"%s\"'),
+        l10n('Manage permissions for group "%s"'),
         get_groupname($page['group']
           )
Index: /trunk/admin/themes/default/template/element_set_global.tpl
===================================================================
--- /trunk/admin/themes/default/template/element_set_global.tpl	(revision 5205)
+++ /trunk/admin/themes/default/template/element_set_global.tpl	(revision 5206)
@@ -83,5 +83,5 @@
   </fieldset>
 
-  {if $show_delete_form}
+  {if isset($show_delete_form) }
   <fieldset>
     <legend>{'Deletions'|@translate}</legend>
@@ -129,7 +129,4 @@
         <td>
 <select id="tags" name="add_tags">
-{foreach from=$tags item=tag}
-  <option value="{$tag.value}" class="selected">{$tag.caption}</option>
-{/foreach}
 </select>
         </td>
Index: /trunk/admin/user_perm.php
===================================================================
--- /trunk/admin/user_perm.php	(revision 5205)
+++ /trunk/admin/user_perm.php	(revision 5206)
@@ -127,5 +127,5 @@
     'TITLE' =>
       sprintf(
-        l10n('Manage permissions for user \"%s\"'),
+        l10n('Manage permissions for user "%s"'),
         get_username($page['user']
           )
Index: /trunk/include/filter.inc.php
===================================================================
--- /trunk/include/filter.inc.php	(revision 5205)
+++ /trunk/include/filter.inc.php	(revision 5206)
@@ -124,5 +124,5 @@
   if (get_filter_page_value('add_notes'))
   {
-    $header_notes[] = l10n_dec('note_filter_day', 'note_filter_days', $filter['recent_period']);
+    $header_notes[] = l10n_dec('Elements posted within the last %d day.', 'Elements posted within the last %d days.', $filter['recent_period']);
   }
   include_once(PHPWG_ROOT_PATH.'include/functions_filter.inc.php');
Index: /trunk/include/functions_notification.inc.php
===================================================================
--- /trunk/include/functions_notification.inc.php	(revision 5205)
+++ /trunk/include/functions_notification.inc.php	(revision 5206)
@@ -392,5 +392,5 @@
   {
     add_news_line( $news,
-      nb_new_elements($start, $end), '%d new element', '%d new elements',
+      nb_new_elements($start, $end), '%d new image', '%d new images',
       make_index_url(array('section'=>'recent_pics')), $add_url );
   }
@@ -527,5 +527,5 @@
   $description .=
         '<li>'
-        .l10n_dec('%d new element', '%d new elements', $date_detail['nb_elements'])
+        .l10n_dec('%d new image', '%d new images', $date_detail['nb_elements'])
         .' ('
         .'<a href="'.make_index_url(array('section'=>'recent_pics')).'">'
@@ -559,6 +559,6 @@
           .get_cat_display_name_cache($cat['uppercats'])
           .' ('.
-          l10n_dec('%d new element',
-                   '%d new elements', $cat['img_count']).')'
+          l10n_dec('%d new image',
+                   '%d new images', $cat['img_count']).')'
           .'</li>';
   }
@@ -602,5 +602,5 @@
   $exploded_date = explode_mysqldt($date);
 
-  $title = l10n_dec('%d new element', '%d new elements', $date_detail['nb_elements']);
+  $title = l10n_dec('%d new image', '%d new images', $date_detail['nb_elements']);
   $title .= ' ('.$lang['month'][(int)$exploded_date['month']].' '.$exploded_date['day'].')';
 
Index: /trunk/profile.php
===================================================================
--- /trunk/profile.php	(revision 5205)
+++ /trunk/profile.php	(revision 5206)
@@ -62,5 +62,5 @@
   save_profile_from_post($userdata, $errors);
 
-  $title= l10n('Your Gallery Customization ');
+  $title= l10n('Your Gallery Customization');
   $page['body_id'] = 'theProfilePage';
   include(PHPWG_ROOT_PATH.'include/page_header.php');
@@ -164,5 +164,5 @@
   ;';
       list($current_password) = pwg_db_fetch_row(pwg_query($query));
-  
+
       if ($conf['pass_convert']($_POST['password']) != $current_password)
       {
@@ -221,5 +221,5 @@
 
     trigger_action( 'save_profile_from_post', $userdata['id'] );
-    
+
     if (!empty($_POST['redirect']))
     {
@@ -278,5 +278,5 @@
   // allow plugins to add their own form data to content
   trigger_action( 'load_profile_in_template', $userdata );
-  
+
   $template->assign_var_from_handle('PROFILE_CONTENT', 'profile_content');
 }