Index: /trunk/admin/cat_modify.php
===================================================================
--- /trunk/admin/cat_modify.php	(revision 5206)
+++ /trunk/admin/cat_modify.php	(revision 5207)
@@ -517,5 +517,5 @@
     $page['infos'],
     sprintf(
-      l10n('An information email was sent to group \"%s\"'),
+      l10n('An information email was sent to group "%s"'),
       $group_name
       )
Index: /trunk/admin/include/c13y_internal.class.php
===================================================================
--- /trunk/admin/include/c13y_internal.class.php	(revision 5206)
+++ /trunk/admin/include/c13y_internal.class.php	(revision 5207)
@@ -209,5 +209,5 @@
             create_user_infos($id);
 
-            $page['infos'][] = sprintf(l10n('User \"%s\" created with \"%s\" like password'), $name, $password);
+            $page['infos'][] = sprintf(l10n('User "%s" created with "%s" like password'), $name, $password);
 
             $result = true;
@@ -240,5 +240,5 @@
               $updates);
 
-            $page['infos'][] = sprintf(l10n('Status of user \"%s\" updated'), get_username($id));
+            $page['infos'][] = sprintf(l10n('Status of user "%s" updated'), get_username($id));
 
             $result = true;
Index: /trunk/admin/include/functions_permalinks.php
===================================================================
--- /trunk/admin/include/functions_permalinks.php	(revision 5206)
+++ /trunk/admin/include/functions_permalinks.php	(revision 5207)
@@ -141,5 +141,5 @@
       or preg_match( '#^(\d)+(-.*)?$#', $permalink) )
   {
-    $page['errors'][] = l10n('The permalink name must be composed of a-z, A-Z, 0-9, \"-\", \"_\" or \"/\". It must not be numeric or start with number followed by \"-\"');
+    $page['errors'][] = l10n('The permalink name must be composed of a-z, A-Z, 0-9, "-", "_" or "/". It must not be numeric or start with number followed by "-"');
     return false;
   }
Index: /trunk/admin/site_update.php
===================================================================
--- /trunk/admin/site_update.php	(revision 5206)
+++ /trunk/admin/site_update.php	(revision 5207)
@@ -57,9 +57,9 @@
   'PWG-UPDATE-1' => array(
     l10n('wrong filename'),
-    l10n('The name of directories and files must be composed of letters, numbers, \"-\", \"_\" or \".\"')
+    l10n('The name of directories and files must be composed of letters, numbers, "-", "_" or "."')
     ),
   'PWG-UPDATE-2' => array(
     l10n('missing thumbnail'),
-    l10n('a picture filetype requires a thumbnail. The thumbnail must be present in the sub-directory \"thumbnail\" of the category directory. The thumbnail filename must start with the configured thumbnail prefix and the extension must be among the following list :').implode(',', $conf['picture_ext'])
+    l10n('a picture filetype requires a thumbnail. The thumbnail must be present in the sub-directory "thumbnail" of the category directory. The thumbnail filename must start with the configured thumbnail prefix and the extension must be among the following list :').implode(',', $conf['picture_ext'])
     ),
   'PWG-ERROR-NO-FS' => array(
@@ -73,5 +73,5 @@
   'PWG-ERROR-NOLISTING' => array(
     l10n('listing.xml file was not found'),
-    l10n('listing.xml file was not found on the remote site. This file is generated by choosing the \"generate listing\" command in the Site manager')
+    l10n('listing.xml file was not found on the remote site. This file is generated by choosing the "generate listing" command in the Site manager')
     )
   );
Index: /trunk/admin/themes/default/template/permalinks.tpl
===================================================================
--- /trunk/admin/themes/default/template/permalinks.tpl	(revision 5206)
+++ /trunk/admin/themes/default/template/permalinks.tpl	(revision 5207)
@@ -61,5 +61,5 @@
 		<td>{$permalink.last_hit}</td>
 		<td>{$permalink.hit}</td>
-		<td><a href="{$permalink.U_DELETE}" {$TAG_INPUT_ENABLED}><img src="{$ROOT_URL}{$themeconf.admin_icon_dir}/Delete.png" alt="[{'Delete'|@translate}]" class="button"></a></td>
+		<td><a href="{$permalink.U_DELETE}" {$TAG_INPUT_ENABLED}><img src="{$ROOT_URL}{$themeconf.admin_icon_dir}/delete.png" alt="[{'Delete'|@translate}]" class="button"></a></td>
 	</tr>
 {/foreach}
Index: /trunk/admin/themes/default/template/rating.tpl
===================================================================
--- /trunk/admin/themes/default/template/rating.tpl	(revision 5206)
+++ /trunk/admin/themes/default/template/rating.tpl	(revision 5207)
@@ -59,5 +59,5 @@
     <td><b>{$rate.USER}</b></td>
     <td><span class="date">{$rate.DATE}</span></td>
-    <td><a href="{$rate.U_DELETE}" {$TAG_INPUT_ENABLED}><img src="{$themeconf.admin_icon_dir}/Delete.png" class="button" style="border:none;vertical-align:middle; margin-left:5px;" alt="[{'Delete'|@translate}]"></a></td>
+    <td><a href="{$rate.U_DELETE}" {$TAG_INPUT_ENABLED}><img src="{$themeconf.admin_icon_dir}/delete.png" class="button" style="border:none;vertical-align:middle; margin-left:5px;" alt="[{'Delete'|@translate}]"></a></td>
 </tr>
 {/foreach} {*rates*}
Index: /trunk/install.php
===================================================================
--- /trunk/install.php	(revision 5206)
+++ /trunk/install.php	(revision 5207)
@@ -268,5 +268,5 @@
     array_push( $errors, l10n('enter a login for webmaster') );
   else if ( preg_match( '/[\'"]/', $webmaster ) )
-    array_push( $errors, l10n('webmaster login can\'t contain characters \' or \"') );
+    array_push( $errors, l10n('webmaster login can\'t contain characters \' or "') );
   if ( $admin_pass1 != $admin_pass2 || empty($admin_pass1) )
     array_push( $errors, l10n('please enter your password again') );
Index: /trunk/language/de_DE/admin.lang.php
===================================================================
--- /trunk/language/de_DE/admin.lang.php	(revision 5206)
+++ /trunk/language/de_DE/admin.lang.php	(revision 5207)
@@ -598,10 +598,10 @@
 $lang['Show upload link every time'] = "Den Uploadlink immer anzeigen";
 $lang['User access level to upload'] = "dürfen Bilder hochladen";
-$lang['Free access'] = "Frei";
-$lang['Access to all'] = "Alle";
-$lang['Access to subscribed'] = "Mitglieder";
-$lang['Access to administrators'] = "Administratoren";
-$lang['Access to webmasters'] = "Webmaster";
-$lang['No access'] = "Keine Benutzer";
+$lang['ACCESS_0'] = "Frei";
+$lang['ACCESS_1'] = "Alle";
+$lang['ACCESS_2'] = "Mitglieder";
+$lang['ACCESS_3'] = "Administratoren";
+$lang['ACCESS_4'] = "Webmaster";
+$lang['ACCESS_5'] = "Keine Benutzer";
 $lang['Demo'] = "Demo";
 $lang['Piwigo home'] = "Home Piwigo";
Index: /trunk/language/en_UK/admin.lang.php
===================================================================
--- /trunk/language/en_UK/admin.lang.php	(revision 5206)
+++ /trunk/language/en_UK/admin.lang.php	(revision 5207)
@@ -598,10 +598,10 @@
 $lang['Show upload link every time'] = "Show upload link every time";
 $lang['User access level to upload'] = "User access level to upload";
-$lang['Free access'] = "Free access";
-$lang['Access to all'] = "Access to all";
-$lang['Access to subscribed'] = "Access to subscribed";
-$lang['Access to administrators'] = "Access to administrators";
-$lang['Access to webmasters'] = "Access to webmasters";
-$lang['No access'] = "No access";
+$lang['ACCESS_0'] = "Free access";
+$lang['ACCESS_1'] = "Access to all";
+$lang['ACCESS_2'] = "Access to subscribed";
+$lang['ACCESS_3'] = "Access to administrators";
+$lang['ACCESS_4'] = "Access to webmasters";
+$lang['ACCESS_5'] = "No access";
 $lang['Demo'] = "Demo";
 $lang['Piwigo home'] = "Piwigo home";
@@ -668,3 +668,15 @@
 $lang['Cannot delete the old permalink !'] = "Cannot delete the old permalink !";
 $lang['Hit'] = "Hit";
+
+$lang['Tools'] = "Tools";
+$lang['Photos'] = "Photos";
+$lang['Themes'] = "Themes";
+$lang['Instructions to use Piwigo'] = "Instructions to use Piwigo";
+$lang['Order alphanumerically'] = "Order alphanumerically";
+$lang['Order alphanumerically reverse'] = "Order alphanumerically reverse";
+$lang['Installed Themes'] = "Installed Themes";
+$lang['Add New Theme'] = "Add New Theme";
+$lang['Forbid this theme to users'] = "Forbid this theme to users";
+$lang['Set as default theme for unregistered and new users'] = "Set as default theme for unregistered and new users";
+$lang['unknown'] = 'unknown';
 ?>
Index: /trunk/language/en_UK/common.lang.php
===================================================================
--- /trunk/language/en_UK/common.lang.php	(revision 5206)
+++ /trunk/language/en_UK/common.lang.php	(revision 5207)
@@ -368,3 +368,8 @@
 $lang['Sent by'] = "Sent by";
 $lang['Cookies are blocked or not supported by your browser. You must enable cookies to connect.'] = "Cookies are blocked or not supported by your browser. You must enable cookies to connect.";
+
+$lang['Some info about this picture'] = "Some info about this picture";
+$lang['Some more (technical) info about this picture'] = "Some more (technical) info about this picture";
+$lang['edit this comment'] = "edit this comment";
+$lang['Edit a comment'] = "Edit a comment";
 ?>
Index: /trunk/language/es_ES/admin.lang.php
===================================================================
--- /trunk/language/es_ES/admin.lang.php	(revision 5206)
+++ /trunk/language/es_ES/admin.lang.php	(revision 5207)
@@ -597,10 +597,10 @@
 $lang['Show upload link every time'] = "Mostrar el lazo de añadido de imagen todo el tiempo";
 $lang['User access level to upload'] = "Nivel de acceso usuario para cargar";
-$lang['Free access'] = "Acceso libre";
-$lang['Access to all'] = "Acceso todos";
-$lang['Access to subscribed'] = "Acceso inscritos";
-$lang['Access to administrators'] = "Acceso administradores";
-$lang['Access to webmasters'] = "Acceso webmestres";
-$lang['No access'] = "Ningún acceso";
+$lang['ACCESS_0'] = "Acceso libre";
+$lang['ACCESS_1'] = "Acceso todos";
+$lang['ACCESS_2'] = "Acceso inscritos";
+$lang['ACCESS_3'] = "Acceso administradores";
+$lang['ACCESS_4'] = "Acceso webmestres";
+$lang['ACCESS_5'] = "Ningún acceso";
 $lang['Demo'] = "Demo";
 $lang['Piwigo home'] = "Acogida Piwigo";
Index: /trunk/language/fr_FR/admin.lang.php
===================================================================
--- /trunk/language/fr_FR/admin.lang.php	(revision 5206)
+++ /trunk/language/fr_FR/admin.lang.php	(revision 5207)
@@ -597,10 +597,10 @@
 $lang['Show upload link every time'] = "Afficher le lien d'ajout d'image tout le temps";
 $lang['User access level to upload'] = "Niveau d'accès utilisateur pour télécharger";
-$lang['Free access'] = "Accès libre";
-$lang['Access to all'] = "Accès à tous";
-$lang['Access to subscribed'] = "Accès aux inscrits";
-$lang['Access to administrators'] = "Accès aux administrateurs";
-$lang['Access to webmasters'] = "Accès aux webmestres";
-$lang['No access'] = "Pas d'accès";
+$lang['ACCESS_0'] = "Accès libre";
+$lang['ACCESS_1'] = "Accès à tous";
+$lang['ACCESS_2'] = "Accès aux inscrits";
+$lang['ACCESS_3'] = "Accès aux administrateurs";
+$lang['ACCESS_4'] = "Accès aux webmestres";
+$lang['ACCESS_5'] = "Pas d'accès";
 $lang['Demo'] = "Démo";
 $lang['Piwigo home'] = "Accueil Piwigo";
@@ -667,3 +667,15 @@
 $lang['Cannot delete the old permalink !'] = "Impossible de supprimer cet ancien lien permanent !";
 $lang['Hit'] = "score";
+
+$lang['Tools'] = "Outils";
+$lang['Photos'] = "Photos";
+$lang['Themes'] = "Thèmes";
+$lang['Instructions to use Piwigo'] = "Aide pour utiliser Piwigo";
+$lang['Order alphanumerically'] = "Ordre alphanumérique";
+$lang['Order alphanumerically reverse'] = "Ordre alphanumérique inverse";
+$lang['Installed Themes'] = "Thèmes installés";
+$lang['Add New Theme'] = "Ajouter un thème";
+$lang['Forbid this theme to users'] = "Interdire ce thème aux utilisateurs";
+$lang['Set as default theme for unregistered and new users'] = "Thème par défaut pour les invités et les nouveaux utilisateurs";
+$lang['unknown'] = 'inconnu';
 ?>
Index: /trunk/language/fr_FR/common.lang.php
===================================================================
--- /trunk/language/fr_FR/common.lang.php	(revision 5206)
+++ /trunk/language/fr_FR/common.lang.php	(revision 5207)
@@ -368,3 +368,8 @@
 $lang['Sent by'] = "Envoyé par";
 $lang['Cookies are blocked or not supported by your browser. You must enable cookies to connect.'] = "Les cookies sont bloqués ou non supportés par votre navigateur web. Vous devez activer les cookies pour vous connecter.";
+
+$lang['Some info about this picture'] = "Informations sur cette image";
+$lang['Some more (technical) info about this picture'] = "Informations (techniques) sur cette image";
+$lang['edit this comment'] = "editer ce commentaire";
+$lang['Edit a comment'] = "Editer ce commentaire";
 ?>
Index: /trunk/language/it_IT/admin.lang.php
===================================================================
--- /trunk/language/it_IT/admin.lang.php	(revision 5206)
+++ /trunk/language/it_IT/admin.lang.php	(revision 5207)
@@ -597,10 +597,10 @@
 $lang['Show upload link every time'] = "Sempre visualizzare il link per aggiungere le immagini";
 $lang['User access level to upload'] = "Livello d'accesso utente per l'upload";
-$lang['Free access'] = "Accesso libero";
-$lang['Access to all'] = "Accesso a tutti";
-$lang['Access to subscribed'] = "Accesso agli iscritti";
-$lang['Access to administrators'] = "Accesso agli amministratori";
-$lang['Access to webmasters'] = "Accesso agli webmaster";
-$lang['No access'] = "Nessun accesso";
+$lang['ACCESS_0'] = "Accesso libero";
+$lang['ACCESS_1'] = "Accesso a tutti";
+$lang['ACCESS_2'] = "Accesso agli iscritti";
+$lang['ACCESS_3'] = "Accesso agli amministratori";
+$lang['ACCESS_4'] = "Accesso agli webmaster";
+$lang['ACCESS_5'] = "Nessun accesso";
 $lang['Demo'] = "Demo";
 $lang['Piwigo home'] = "Home Piwigo";
Index: /trunk/language/nl_NL/admin.lang.php
===================================================================
--- /trunk/language/nl_NL/admin.lang.php	(revision 5206)
+++ /trunk/language/nl_NL/admin.lang.php	(revision 5207)
@@ -598,10 +598,10 @@
 $lang['Show upload link every time'] = "Show upload link altijd";
 $lang['User access level to upload'] = "Gebruiker toegangsniveau om te uploaden";
-$lang['Free access'] = "Gratis toegang";
-$lang['Access to all'] = "Toegang tot alles";
-$lang['Access to subscribed'] = "Toegang tot geabbonnneerde";
-$lang['Access to administrators'] = "Toegang voor beheerders";
-$lang['Access to webmasters'] = "Toegang voor webmasters";
-$lang['No access'] = "Geen toegang";
+$lang['ACCESS_0'] = "Gratis toegang";
+$lang['ACCESS_1'] = "Toegang tot alles";
+$lang['ACCESS_2'] = "Toegang tot geabbonnneerde";
+$lang['ACCESS_3'] = "Toegang voor beheerders";
+$lang['ACCESS_4'] = "Toegang voor webmasters";
+$lang['ACCESS_5'] = "Geen toegang";
 $lang['Demo'] = "Demo";
 $lang['Piwigo home'] = "Piwigo Home";
Index: /trunk/language/pl_PL/admin.lang.php
===================================================================
--- /trunk/language/pl_PL/admin.lang.php	(revision 5206)
+++ /trunk/language/pl_PL/admin.lang.php	(revision 5207)
@@ -598,10 +598,10 @@
 $lang['Show upload link every time'] = "Zawsze pokazuj link upload";
 $lang['User access level to upload'] = "Poziom uprawnień użytkoników dla upload'u";
-$lang['Free access'] = "Wolny dostęp";
-$lang['Access to all'] = "Dostęp dla wszystkich";
-$lang['Access to subscribed'] = "Dostep dla zapisanych";
-$lang['Access to administrators'] = "Dostęp dla Administratorów";
-$lang['Access to webmasters'] = "Dostęp dla webmasterów";
-$lang['No access'] = "Brak dostępu";
+$lang['ACCESS_0'] = "Wolny dostęp";
+$lang['ACCESS_1'] = "Dostęp dla wszystkich";
+$lang['ACCESS_2'] = "Dostep dla zapisanych";
+$lang['ACCESS_3'] = "Dostęp dla Administratorów";
+$lang['ACCESS_4'] = "Dostęp dla webmasterów";
+$lang['ACCESS_5'] = "Brak dostępu";
 $lang['Demo'] = "Demo";
 $lang['Piwigo home'] = "Strona domowa Piwigo";
Index: /trunk/language/templates/admin.lang.php
===================================================================
--- /trunk/language/templates/admin.lang.php	(revision 5206)
+++ /trunk/language/templates/admin.lang.php	(revision 5207)
@@ -668,3 +668,14 @@
 $lang['Last hit'] = 'Last hit';
 $lang['Hit'] = 'Hit';
+
+$lang['Tools'] = "Tools";
+$lang['Photos'] = "Photos";
+$lang['Themes'] = "Themes";
+$lang['Instructions to use Piwigo'] = "Instructions to use Piwigo";
+$lang['Order alphanumerically'] = "Order alphanumerically";
+$lang['Order alphanumerically reverse'] = "Order alphanumerically reverse";
+$lang['Installed Themes'] = "Installed Themes";
+$lang['Add New Theme'] = "Add New Theme";
+$lang['Forbid this theme to users'] = "Forbid this theme to users";
+$lang['Set as default theme for unregistered and new users'] = "Set as default theme for unregistered and new users";
 ?>
Index: /trunk/language/templates/common.lang.php
===================================================================
--- /trunk/language/templates/common.lang.php	(revision 5206)
+++ /trunk/language/templates/common.lang.php	(revision 5207)
@@ -371,3 +371,9 @@
 $lang['Sent by'] = 'Sent by';
 $lang['Cookies are blocked or not supported by your browser. You must enable cookies to connect.'] = 'Cookies are blocked or not supported by your browser. You must enable cookies to connect.';
+
+$lang['Some info about this picture'] = "Some info about this picture";
+$lang['Some more (technical) info about this picture'] = "Some more (technical) info about this picture";
+$lang['edit this comment'] = "edit this comment";
+$lang['Edit a comment'] = "Edit a comment";
+
 ?>
Index: /trunk/themes/default/template/comment_list.tpl
===================================================================
--- /trunk/themes/default/template/comment_list.tpl	(revision 5206)
+++ /trunk/themes/default/template/comment_list.tpl	(revision 5207)
@@ -23,5 +23,5 @@
         {if isset($comment.U_EDIT) and !isset($comment.IN_EDIT)}
         <li>
-          <a class="editComment" href="{$comment.U_EDIT}#edit_comment" title="edit this comment">
+          <a class="editComment" href="{$comment.U_EDIT}#edit_comment" title="{'edit this comment'|@translate}">
             <img src="{$ROOT_URL}{$themeconf.icon_dir}/edit.png" class="button" alt="[edit]">
           </a>
@@ -42,5 +42,5 @@
       <form  method="post" action="{$comment.U_EDIT}" class="filter" id="editComment">
 	<fieldset>
-	  <legend>Edit a comment</legend>
+	  <legend>{'Edit a comment'|@translate}</legend>
 	  <label>{'Comment'|@translate}<textarea name="content" id="contenteditid" rows="5" cols="80">{$comment.CONTENT|@escape}</textarea></label>
 	  <input type="hidden" name="key" value="{$comment.KEY}">
Index: /trunk/themes/default/template/picture.tpl
===================================================================
--- /trunk/themes/default/template/picture.tpl	(revision 5206)
+++ /trunk/themes/default/template/picture.tpl	(revision 5207)
@@ -110,5 +110,5 @@
 {/if}
 
-<table id="standard" class="infoTable" summary="Some info about this picture">
+<table id="standard" class="infoTable" summary="{'Some info about this picture'|@translate}">
   <tr id="Author">
     <td class="label">{'Author'|@translate}</td>
Index: /trunk/upgrade.php
===================================================================
--- /trunk/upgrade.php	(revision 5206)
+++ /trunk/upgrade.php	(revision 5207)
@@ -195,5 +195,5 @@
 $template->assign(array(
   'RELEASE' => PHPWG_VERSION,
-  'L_UPGRADE_HELP' => sprintf(l10n('Need help ? Ask your question on <a href=\"%s\">Piwigo message board</a>.'), PHPWG_URL.'/forum'),
+  'L_UPGRADE_HELP' => sprintf(l10n('Need help ? Ask your question on <a href="%s">Piwigo message board</a>.'), PHPWG_URL.'/forum'),
   )
 );