Index: /trunk/include/common.inc.php
===================================================================
--- /trunk/include/common.inc.php	(revision 5212)
+++ /trunk/include/common.inc.php	(revision 5213)
@@ -71,5 +71,5 @@
 $filter = array();
 
-@include(PHPWG_ROOT_PATH .'include/config_database.inc.php');
+@include(PHPWG_ROOT_PATH .'local/config/database.inc.php');
 if (!defined('PHPWG_INSTALLED'))
 {
Index: /trunk/install.php
===================================================================
--- /trunk/install.php	(revision 5212)
+++ /trunk/install.php	(revision 5213)
@@ -123,7 +123,7 @@
 $errors = array();
 
-// database config file migration : mysql.inc.php et config_database.inc.php
+// database config file migration : mysql.inc.php et database.inc.php
 $old_config_file = PHPWG_ROOT_PATH . 'include/mysql.inc.php';
-$config_file = PHPWG_ROOT_PATH . 'include/config_database.inc.php';
+$config_file = PHPWG_ROOT_PATH . 'local/config/database.inc.php';
 if (!file_exists($config_file) && file_exists($old_config_file))
 {
@@ -305,5 +305,5 @@
       $html_content = htmlentities( $file_content, ENT_QUOTES );
       $html_content = nl2br( $html_content );
-      $error_copy = l10n('Copy the text in pink between hyphens and paste it into the file "include/config_database.inc.php"(Warning : config_database.inc.php must only contain what is in pink, no line return or space character)');
+      $error_copy = l10n('Copy the text in pink between hyphens and paste it into the file "local/config/database.inc.php"(Warning : database.inc.php must only contain what is in pink, no line return or space character)');
       $error_copy .= '<br>--------------------------------------------------------------------<br>';
       $error_copy .= '<span class="sql_content">' . $html_content . '</span>';
@@ -392,5 +392,5 @@
     $html_content = htmlentities( $file_content, ENT_QUOTES );
     $html_content = nl2br( $html_content );
-    $error_copy = l10n('Copy the text in pink between hyphens and paste it into the file "include/config_database.inc.php"(Warning : config_database.inc.php must only contain what is in pink, no line return or space character)');
+    $error_copy = l10n('Copy the text in pink between hyphens and paste it into the file "local/config/database.inc.php"(Warning : database.inc.php must only contain what is in pink, no line return or space character)');
     $error_copy .= '<br>--------------------------------------------------------------------<br>';
     $error_copy .= '<span class="sql_content">' . $html_content . '</span>';
Index: /trunk/install/db/65-database.php
===================================================================
--- /trunk/install/db/65-database.php	(revision 5212)
+++ /trunk/install/db/65-database.php	(revision 5213)
@@ -256,5 +256,5 @@
 
 // +-----------------------------------------------------------------------+
-// changes to write in config_database.inc.php
+// changes to write in database.inc.php
   array_push($mysql_changes,
 'define(\'PWG_CHARSET\', \''.$pwg_charset.'\');
Index: /trunk/install/db/80-database.php
===================================================================
--- /trunk/install/db/80-database.php	(revision 5212)
+++ /trunk/install/db/80-database.php	(revision 5213)
@@ -174,5 +174,5 @@
 'include_phpwebgallery/config.php',
 'include_phpwebgallery/index.htm',
-'include_phpwebgallery/config_database.inc.php',
+'include_phpwebgallery/local/config/database.inc.php',
 'index.htm',
 // Comparison between phpwebgallery-1.2.1 and phpwebgallery-1.1.0
@@ -928,5 +928,5 @@
 'admin/template/goto/theme/roma/images/bottom-left-bg.png',
 'admin/template/goto/theme/roma/images/top-left-bg.png',
-'include/config_database.inc.php',
+'local/config/database.inc.php',
 'template-common/lib/ui/ui.accordion.packed.js',
 'template-common/lib/ui/ui.core.packed.js',
@@ -944,5 +944,5 @@
 
 $list_exlude_files = array(
-'include/config_database.inc.php',
+'local/config/database.inc.php',
 );
 
Index: /trunk/install/upgrade_1.3.1.php
===================================================================
--- /trunk/install/upgrade_1.3.1.php	(revision 5212)
+++ /trunk/install/upgrade_1.3.1.php	(revision 5213)
@@ -580,5 +580,5 @@
 
 // load the config file
-$config_file = PHPWG_ROOT_PATH.'include/config_database.inc.php';
+$config_file = PHPWG_ROOT_PATH.'local/config/database.inc.php';
 $config_file_contents = @file_get_contents($config_file);
 if ($config_file_contents === false)
@@ -596,5 +596,5 @@
 }
 
-// changes to write in config_database.inc.php
+// changes to write in database.inc.php
 array_push($mysql_changes, 'define(\'PHPWG_INSTALLED\', true);');
 
Index: /trunk/language/de_DE/install.lang.php
===================================================================
--- /trunk/language/de_DE/install.lang.php	(revision 5212)
+++ /trunk/language/de_DE/install.lang.php	(revision 5213)
@@ -38,5 +38,5 @@
 $lang['The next step of the installation is now possible'] = "Der nächste Schritt der Installation ist nun möglich";
 $lang['next step'] = "nächster Schritt";
-$lang['Copy the text in pink between hyphens and paste it into the file "include/config_database.inc.php"(Warning : config_database.inc.php must only contain what is in pink, no line return or space character)'] = "Kopieren Sie den rosa Text ohne die Bindestriche und fügen Sie ihn in die Datei \"include / config_database.inc.php\" auf dem Webserver ein (Warnung: die Datei \"config_database.inc.php\" darf nur die rosa Zeichen enthalten, nicht mehr und nicht weniger)";
+$lang['Copy the text in pink between hyphens and paste it into the file "local/config/database.inc.php"(Warning : database.inc.php must only contain what is in pink, no line return or space character)'] = "Kopieren Sie den rosa Text ohne die Bindestriche und fügen Sie ihn in die Datei \"local/config/database.inc.php\" auf dem Webserver ein (Warnung: die Datei \"database.inc.php\" darf nur die rosa Zeichen enthalten, nicht mehr und nicht weniger)";
 $lang['Database type'] = "Database type";
 $lang['The type of database your piwigo data will be store in'] = "The type of database your piwigo data will be store in";
Index: /trunk/language/de_DE/upgrade.lang.php
===================================================================
--- /trunk/language/de_DE/upgrade.lang.php	(revision 5212)
+++ /trunk/language/de_DE/upgrade.lang.php	(revision 5213)
@@ -38,5 +38,5 @@
 $lang['Only administrator can run upgrade: please sign in below.'] = "Nur Administrator können Upgrade ausführen : Bitte melden Sie sich an unter.";
 $lang['You do not have access rights to run upgrade'] = "Sie haben nicht das Recht auf Zugang zum Upgrade ausführen";
-$lang['In <i>include/config_database.inc.php</i>, before <b>?></b>, insert:'] = "In <i>include/config_database.inc.php</i>, vor <b>?></b>, wird Folgendes eingefügt:";
+$lang['In <i>%s</i>, before <b>?></b>, insert:'] = "In <i>%s</i>, vor <b>?></b>, wird Folgendes eingefügt:";
 $lang['All sub-categories of private categories become private'] = "Alle Unter-Kategorien von privaten Gruppen wirden privaten";
 $lang['User permissions and group permissions have been erased'] = "Benutzer und Gruppen Berechtigungen wurden gelöscht";
Index: /trunk/language/en_UK/install.lang.php
===================================================================
--- /trunk/language/en_UK/install.lang.php	(revision 5212)
+++ /trunk/language/en_UK/install.lang.php	(revision 5213)
@@ -38,5 +38,5 @@
 $lang['The next step of the installation is now possible'] = "The next step of the installation is now possible";
 $lang['next step'] = "next step";
-$lang['Copy the text in pink between hyphens and paste it into the file "include/config_database.inc.php"(Warning : config_database.inc.php must only contain what is in pink, no line return or space character)'] = "Copy the text in pink between hyphens and paste it into the file \"include/config_database.inc.php\"(Warning : config_database.inc.php must only contain what is in pink, no line return or space character)";
+$lang['Copy the text in pink between hyphens and paste it into the file "local/config/database.inc.php"(Warning : database.inc.php must only contain what is in pink, no line return or space character)'] = "Copy the text in pink between hyphens and paste it into the file \"local/config/database.inc.php\"(Warning : database.inc.php must only contain what is in pink, no line return or space character)";
 $lang['Database type'] = "Database type";
 $lang['The type of database your piwigo data will be store in'] = "The type of database your piwigo data will be store in";
Index: /trunk/language/en_UK/upgrade.lang.php
===================================================================
--- /trunk/language/en_UK/upgrade.lang.php	(revision 5212)
+++ /trunk/language/en_UK/upgrade.lang.php	(revision 5213)
@@ -38,5 +38,5 @@
 $lang['Only administrator can run upgrade: please sign in below.'] = "Only administrator can run upgrade: please sign in below.";
 $lang['You do not have access rights to run upgrade'] = "You do not have access rights to run upgrade";
-$lang['In <i>include/config_database.inc.php</i>, before <b>?></b>, insert:'] = "In <i>include/config_database.inc.php</i>, before <b>?></b>, insert:";
+$lang['In <i>%s</i>, before <b>?></b>, insert:'] = "In <i>%s</i>, before <b>?></b>, insert:";
 $lang['All sub-categories of private categories become private'] = "All sub-categories of private categories become private";
 $lang['User permissions and group permissions have been erased'] = "User permissions and group permissions have been erased";
Index: /trunk/language/es_ES/install.lang.php
===================================================================
--- /trunk/language/es_ES/install.lang.php	(revision 5212)
+++ /trunk/language/es_ES/install.lang.php	(revision 5213)
@@ -38,5 +38,5 @@
 $lang['The next step of the installation is now possible'] = "Puede seguir con la instalación sigiente";
 $lang['next step'] = "Etapa siguiente";
-$lang['Copy the text in pink between hyphens and paste it into the file "include/config_database.inc.php"(Warning : config_database.inc.php must only contain what is in pink, no line return or space character)'] = "Copie el texto en rosa entre los guillones y pegúelo en el fichero mysql.inc.php que se encuentra en el repertorio \" include \" a la base del lugar donde usted instaló  Piwigo (el fichero mysql.inc.php debe contener SÓLO lo que está en rosa entre las rayas, ninguna vuelta a la línea o espacio es autorizado)";
+$lang['Copy the text in pink between hyphens and paste it into the file "local/config/database.inc.php"(Warning : database.inc.php must only contain what is in pink, no line return or space character)'] = "Copie el texto en rosa entre los guillones y pegúelo en el fichero database.inc.php que se encuentra en el repertorio \"local/config\" a la base del lugar donde usted instaló  Piwigo (el fichero database.inc.php debe contener SÓLO lo que está en rosa entre las rayas, ninguna vuelta a la línea o espacio es autorizado)";
 $lang['Database type'] = "Database type";
 $lang['The type of database your piwigo data will be store in'] = "The type of database your piwigo data will be store in";
Index: /trunk/language/es_ES/upgrade.lang.php
===================================================================
--- /trunk/language/es_ES/upgrade.lang.php	(revision 5212)
+++ /trunk/language/es_ES/upgrade.lang.php	(revision 5213)
@@ -38,5 +38,5 @@
 $lang['Only administrator can run upgrade: please sign in below.'] = "Sólo un administrador puede lanzar la actualización: por favor, identifiqúese más abajo.";
 $lang['You do not have access rights to run upgrade'] = "";
-$lang['In <i>include/config_database.inc.php</i>, before <b>?></b>, insert:'] = "";
+$lang['In <i>%s</i>, before <b>?></b>, insert:'] = "";
 $lang['All sub-categories of private categories become private'] = "Todas las subcategorías de categorías privadas se vuelven privadas";
 $lang['User permissions and group permissions have been erased'] = "Las autorizaciones de los usuarios y de los grupos han sido borradas";
Index: /trunk/language/fr_FR/install.lang.php
===================================================================
--- /trunk/language/fr_FR/install.lang.php	(revision 5212)
+++ /trunk/language/fr_FR/install.lang.php	(revision 5213)
@@ -38,5 +38,5 @@
 $lang['The next step of the installation is now possible'] = "La prochaine étape d'installation est désormais possible";
 $lang['next step'] = "étape suivante";
-$lang['Copy the text in pink between hyphens and paste it into the file "include/config_database.inc.php"(Warning : config_database.inc.php must only contain what is in pink, no line return or space character)'] = "Copiez le texte en rose entre les tirets et collez-le dans le fichier config_database.inc.php qui se trouve dans le répertoire \"include\" à la base de l'endroit où vous avez installé Piwigo (le fichier config_database.inc.php ne doit comporter QUE ce qui est en rose entre les tirets, aucun retour à la ligne ou espace n'est autorisé)";
+$lang['Copy the text in pink between hyphens and paste it into the file "local/config/database.inc.php"(Warning : database.inc.php must only contain what is in pink, no line return or space character)'] = "Copiez le texte en rose entre les tirets et collez-le dans le fichier database.inc.php qui se trouve dans le répertoire \"include\" à la base de l'endroit où vous avez installé Piwigo (le fichier database.inc.php ne doit comporter QUE ce qui est en rose entre les tirets, aucun retour à la ligne ou espace n'est autorisé)";
 $lang['Database type'] = "Type de base de données";
 $lang['The type of database your piwigo data will be store in'] = "La base de données à utiliser pour installer piwigo";
Index: /trunk/language/fr_FR/upgrade.lang.php
===================================================================
--- /trunk/language/fr_FR/upgrade.lang.php	(revision 5212)
+++ /trunk/language/fr_FR/upgrade.lang.php	(revision 5213)
@@ -38,5 +38,5 @@
 $lang['Only administrator can run upgrade: please sign in below.'] = "Seul un administrateur peut lancer la mise à jour: veuillez vous identifier ci-dessous.";
 $lang['You do not have access rights to run upgrade'] = "Vous n'avez pas les droits necessaires pour lancer la mise à jour.";
-$lang['In <i>include/config_database.inc.php</i>, before <b>?></b>, insert:'] = "Dans le fichier <i>include/config_database.inc.php</i>, avant <b>?></b>, insérez:";
+$lang['In <i>%s</i>, before <b>?></b>, insert:'] = "Dans le fichier <i>%s</i>, avant <b>?></b>, insérez:";
 $lang['All sub-categories of private categories become private'] = "Toutes les sous-catégories de catégories privées deviennent privées";
 $lang['User permissions and group permissions have been erased'] = "Les permissions des utilisateurs et des groupes ont été effacées";
Index: /trunk/language/it_IT/install.lang.php
===================================================================
--- /trunk/language/it_IT/install.lang.php	(revision 5212)
+++ /trunk/language/it_IT/install.lang.php	(revision 5213)
@@ -38,5 +38,5 @@
 $lang['The next step of the installation is now possible'] = "Il prossimo step d'installazione è oramail possibile";
 $lang['next step'] = "step successivo";
-$lang['Copy the text in pink between hyphens and paste it into the file "include/config_database.inc.php"(Warning : config_database.inc.php must only contain what is in pink, no line return or space character)'] = "Copiate il testo in rosa trà i trattini e mettetelo nel file config_database.inc.php che si trova nella directory \"include\" alla base del vostro sito dove aveto installato Piwigo (il file config_database.inc.php non deve contenere altro che ciò che è in rosa tra i trattini, nessun ritorno a capo o spazio è autorizzato)";
+$lang['Copy the text in pink between hyphens and paste it into the file "local/config/database.inc.php"(Warning : database.inc.php must only contain what is in pink, no line return or space character)'] = "Copiate il testo in rosa trà i trattini e mettetelo nel file database.inc.php che si trova nella directory \"local/config\" alla base del vostro sito dove aveto installato Piwigo (il file database.inc.php non deve contenere altro che ciò che è in rosa tra i trattini, nessun ritorno a capo o spazio è autorizzato)";
 $lang['Database type'] = "Tipo di Database";
 $lang['The type of database your piwigo data will be store in'] = "La base dati da utilizzare per installare Piwigo";
Index: /trunk/language/it_IT/upgrade.lang.php
===================================================================
--- /trunk/language/it_IT/upgrade.lang.php	(revision 5212)
+++ /trunk/language/it_IT/upgrade.lang.php	(revision 5213)
@@ -38,5 +38,5 @@
 $lang['Only administrator can run upgrade: please sign in below.'] = "Solo un'amministratore può eseguire l'aggiornamento: identificatevi.";
 $lang['You do not have access rights to run upgrade'] = "Non avete le autorizzazioni necessarie per effettuare l'aggiornamento";
-$lang['In <i>include/config_database.inc.php</i>, before <b>?></b>, insert:'] = "Nel file <i>include/config_database.inc.php</i>, prima di <b>?></b>, inserire:";
+$lang['In <i>%s</i>, before <b>?></b>, insert:'] = "Nel file <i>%s</i>, prima di <b>?></b>, inserire:";
 $lang['All sub-categories of private categories become private'] = "Tutte le sottocategorie delle categorie private diventono private";
 $lang['User permissions and group permissions have been erased'] = "I permessi degli utenti e dei gruppi sono stati cancellati";
Index: /trunk/language/nl_NL/install.lang.php
===================================================================
--- /trunk/language/nl_NL/install.lang.php	(revision 5212)
+++ /trunk/language/nl_NL/install.lang.php	(revision 5213)
@@ -38,5 +38,5 @@
 $lang['The next step of the installation is now possible'] = "Het is nu mogelijk om verder te gaan met de volgende stap van de installatie";
 $lang['next step'] = "volgende stap";
-$lang['Copy the text in pink between hyphens and paste it into the file "include/config_database.inc.php"(Warning : config_database.inc.php must only contain what is in pink, no line return or space character)'] = "Kopieer de tekst tussen de lijnen en plak deze in het bestand \"include/config_database.inc.php\"(Waarschuwing: config_database.inc.php mag alleen het roze gedeelte bevatten, geen return of extra spatie). Dit moet alleen wanneer dit bestand geen schrijfrechten";
+$lang['Copy the text in pink between hyphens and paste it into the file "local/config/database.inc.php"(Warning : database.inc.php must only contain what is in pink, no line return or space character)'] = "Kopieer de tekst tussen de lijnen en plak deze in het bestand \"local/config/database.inc.php\"(Waarschuwing: database.inc.php mag alleen het roze gedeelte bevatten, geen return of extra spatie). Dit moet alleen wanneer dit bestand geen schrijfrechten";
 $lang['Database type'] = "Database type";
 $lang['The type of database your piwigo data will be store in'] = "The type of database your piwigo data will be store in";
Index: /trunk/language/nl_NL/upgrade.lang.php
===================================================================
--- /trunk/language/nl_NL/upgrade.lang.php	(revision 5212)
+++ /trunk/language/nl_NL/upgrade.lang.php	(revision 5213)
@@ -38,5 +38,5 @@
 $lang['Only administrator can run upgrade: please sign in below.'] = "Only administrator can run upgrade: please sign in below.";
 $lang['You do not have access rights to run upgrade'] = "You do not have access rights to run upgrade";
-$lang['In <i>include/config_database.inc.php</i>, before <b>?></b>, insert:'] = "In <i>include/config_database.inc.php</i>, before <b>?></b>, insert:";
+$lang['In <i>%s</i>, before <b>?></b>, insert:'] = "In <i>%s</i>, before <b>?></b>, insert:";
 $lang['All sub-categories of private categories become private'] = "All sub-categories of private categories become private";
 $lang['User permissions and group permissions have been erased'] = "User permissions and group permissions have been erased";
Index: /trunk/language/pl_PL/install.lang.php
===================================================================
--- /trunk/language/pl_PL/install.lang.php	(revision 5212)
+++ /trunk/language/pl_PL/install.lang.php	(revision 5213)
@@ -38,5 +38,5 @@
 $lang['The next step of the installation is now possible'] = "Teraz mozliwy jest następny krok instalacji";
 $lang['next step'] = "następny krok";
-$lang['Copy the text in pink between hyphens and paste it into the file "include/config_database.inc.php"(Warning : config_database.inc.php must only contain what is in pink, no line return or space character)'] = "Skopiuj tekst zaznaczony na różowo pomiędzy cudzysłowiami i wklej do pliku \"include/config_database.inc.php\"(Uwaga : config_database.inc.php musi zawierać tylko to co jest na różowo bez żadnych znaków końca linii czy spacji)";
+$lang['Copy the text in pink between hyphens and paste it into the file "local/config/database.inc.php"(Warning : database.inc.php must only contain what is in pink, no line return or space character)'] = "Skopiuj tekst zaznaczony na różowo pomiędzy cudzysłowiami i wklej do pliku \"local/config/database.inc.php\"(Uwaga : database.inc.php musi zawierać tylko to co jest na różowo bez żadnych znaków końca linii czy spacji)";
 $lang['Database type'] = "Database type";
 $lang['The type of database your piwigo data will be store in'] = "The type of database your piwigo data will be store in";
Index: /trunk/language/pl_PL/upgrade.lang.php
===================================================================
--- /trunk/language/pl_PL/upgrade.lang.php	(revision 5212)
+++ /trunk/language/pl_PL/upgrade.lang.php	(revision 5213)
@@ -38,5 +38,5 @@
 $lang['Only administrator can run upgrade: please sign in below.'] = "Tylko administrator może wykonać aktualizację: zaloguj się poniżej.";
 $lang['You do not have access rights to run upgrade'] = "Nie masz uprawnień do wykonania aktualizacji";
-$lang['In <i>include/config_database.inc.php</i>, before <b>?></b>, insert:'] = "W pliku <i>include/config_database.inc.php</i>, przed <b>?></b>, wstaw:";
+$lang['In <i>%s</i>, before <b>?></b>, insert:'] = "W pliku <i>%s</i>, przed <b>?></b>, wstaw:";
 $lang['All sub-categories of private categories become private'] = "Wszystkie podkategorie kategorii prywatnych staną się prywatne";
 $lang['User permissions and group permissions have been erased'] = "Uprawnienia użytkowników oraz grup zostały usunięte";
Index: /trunk/language/templates/install.lang.php
===================================================================
--- /trunk/language/templates/install.lang.php	(revision 5212)
+++ /trunk/language/templates/install.lang.php	(revision 5213)
@@ -38,5 +38,5 @@
 $lang['step1_err_copy_2'] = 'The next step of the installation is now possible';
 $lang['step1_err_copy_next'] = 'next step';
-$lang['step1_err_copy'] = 'Copy the text in pink between hyphens and paste it into the file "include/config_database.inc.php"(Warning : config_database.inc.php must only contain what is in pink, no line return or space character)';
+$lang['step1_err_copy'] = 'Copy the text in pink between hyphens and paste it into the file "local/config/database.inc.php"(Warning : database.inc.php must only contain what is in pink, no line return or space character)';
 
 $lang['step1_dbengine'] = 'Database type';
Index: /trunk/language/templates/upgrade.lang.php
===================================================================
--- /trunk/language/templates/upgrade.lang.php	(revision 5212)
+++ /trunk/language/templates/upgrade.lang.php	(revision 5213)
@@ -35,5 +35,5 @@
 $lang['upgrade login message'] = 'Only administrator can run upgrade: please sign in below.';
 $lang['You do not have access rights to run upgrade'] = 'You do not have access rights to run upgrade';
-$lang['in include/config_database.inc.php, before ?>, insert:'] = 'In <i>include/config_database.inc.php</i>, before <b>?></b>, insert:';
+$lang['in <i>%s</i>, before ?>, insert:'] = 'In <i>%s</i>, before <b>?></b>, insert:';
 
 // Upgrade informations from upgrade_1.3.1.php
Index: /trunk/tools/pwg_rel_create.sh
===================================================================
--- /trunk/tools/pwg_rel_create.sh	(revision 5212)
+++ /trunk/tools/pwg_rel_create.sh	(revision 5213)
@@ -32,7 +32,7 @@
 svn export http://piwigo.org/svn/tags/$tag piwigo
 
-# creating config_database.inc.php empty and writeable
-touch piwigo/include/config_database.inc.php
-chmod a+w piwigo/include/config_database.inc.php
+# creating database.inc.php empty and writeable
+touch piwigo/local/config/database.inc.php
+chmod a+w piwigo/local/config/database.inc.php
 
 zip -r $name.zip piwigo
Index: /trunk/upgrade.php
===================================================================
--- /trunk/upgrade.php	(revision 5212)
+++ /trunk/upgrade.php	(revision 5213)
@@ -25,5 +25,5 @@
 
 // load config file
-$config_file = PHPWG_ROOT_PATH.'include/config_database.inc.php';
+$config_file = PHPWG_ROOT_PATH.'local/config/database.inc.php';
 $config_file_contents = @file_get_contents($config_file);
 if ($config_file_contents === false)
@@ -41,5 +41,5 @@
 include_once(PHPWG_ROOT_PATH.'admin/include/functions_upgrade.php');
 
-include(PHPWG_ROOT_PATH.'include/config_database.inc.php');
+include(PHPWG_ROOT_PATH.'local/config/database.inc.php');
 include(PHPWG_ROOT_PATH . 'include/config_default.inc.php');
 @include(PHPWG_ROOT_PATH. 'include/config_local.inc.php');
@@ -268,5 +268,5 @@
     include($upgrade_file);
 
-    // Something to add in config_database.inc.php?
+    // Something to add in database.inc.php?
     if (!empty($mysql_changes))
     {
@@ -280,5 +280,5 @@
         array_push($page['infos'],
 		   l10n_args('in <i>%s</i>, before <b>?></b>, insert:', 
-			     'include/config_database.inc.php') . 
+			     'local/config/database.inc.php') . 
 		   '<p><textarea rows="4" cols="40">' .
 		   implode("\r\n" , $mysql_changes).'</textarea></p>'
Index: /trunk/upgrade_feed.php
===================================================================
--- /trunk/upgrade_feed.php	(revision 5212)
+++ /trunk/upgrade_feed.php	(revision 5213)
@@ -33,5 +33,5 @@
 include_once(PHPWG_ROOT_PATH.'admin/include/functions.php');
 include_once(PHPWG_ROOT_PATH.'admin/include/functions_upgrade.php');
-include(PHPWG_ROOT_PATH.'include/config_database.inc.php');
+include(PHPWG_ROOT_PATH.'local/config/database.inc.php');
 include(PHPWG_ROOT_PATH . 'include/config_default.inc.php');
 @include(PHPWG_ROOT_PATH. 'include/config_local.inc.php');