Index: /trunk/admin/include/c13y_internal.class.php
===================================================================
--- /trunk/admin/include/c13y_internal.class.php	(revision 5214)
+++ /trunk/admin/include/c13y_internal.class.php	(revision 5215)
@@ -84,5 +84,5 @@
           null,
           null,
-          sprintf(l10n('%s must be to set to false in your config_local.inc.php file'), '$conf[\''.$value.'\']')
+          sprintf(l10n('%s must be to set to false in your local/config/config.inc.php file'), '$conf[\''.$value.'\']')
           .'<br>'.
           $c13y->get_htlm_links_more_info());
Index: /trunk/include/common.inc.php
===================================================================
--- /trunk/include/common.inc.php	(revision 5214)
+++ /trunk/include/common.inc.php	(revision 5215)
@@ -91,5 +91,5 @@
 
 include(PHPWG_ROOT_PATH . 'include/config_default.inc.php');
-@include(PHPWG_ROOT_PATH. 'include/config_local.inc.php');
+@include(PHPWG_ROOT_PATH. 'local/config/config.inc.php');
 include(PHPWG_ROOT_PATH .'include/dblayer/functions_'.$conf['dblayer'].'.inc.php');
 
Index: /trunk/include/config_default.inc.php
===================================================================
--- /trunk/include/config_default.inc.php	(revision 5214)
+++ /trunk/include/config_default.inc.php	(revision 5215)
@@ -31,5 +31,5 @@
  * It is recommended to let config_default.inc.php as provided and to
  * overwrite configuration in your local configuration file
- * config_local.inc.php. See tools/config_local.inc.php as an example.
+ * local/config/config.inc.php. See tools/config.inc.php as an example.
  *
  * Why having some parameters in config table and others in
Index: /trunk/install.php
===================================================================
--- /trunk/install.php	(revision 5214)
+++ /trunk/install.php	(revision 5215)
@@ -159,5 +159,5 @@
 $prefixeTable = $table_prefix;
 include(PHPWG_ROOT_PATH . 'include/config_default.inc.php');
-@include(PHPWG_ROOT_PATH. 'include/config_local.inc.php');
+@include(PHPWG_ROOT_PATH. 'local/config/config.inc.php');
 include(PHPWG_ROOT_PATH .'include/dblayer/functions_'.$dblayer.'.inc.php');
 include(PHPWG_ROOT_PATH . 'include/constants.php');
Index: /trunk/install/db/12-database.php
===================================================================
--- /trunk/install/db/12-database.php	(revision 5214)
+++ /trunk/install/db/12-database.php	(revision 5215)
@@ -31,5 +31,5 @@
 include_once(PHPWG_ROOT_PATH.'include/constants.php');
 include(PHPWG_ROOT_PATH . 'include/config_default.inc.php');
-@include(PHPWG_ROOT_PATH. 'include/config_local.inc.php');
+@include(PHPWG_ROOT_PATH. 'local/config/config.inc.php');
 
 // +-----------------------------------------------------------------------+
Index: /trunk/install/db/14-database.php
===================================================================
--- /trunk/install/db/14-database.php	(revision 5214)
+++ /trunk/install/db/14-database.php	(revision 5215)
@@ -31,5 +31,5 @@
 include_once(PHPWG_ROOT_PATH.'include/constants.php');
 include(PHPWG_ROOT_PATH . 'include/config_default.inc.php');
-@include(PHPWG_ROOT_PATH. 'include/config_local.inc.php');
+@include(PHPWG_ROOT_PATH. 'local/config/config.inc.php');
 
 // +-----------------------------------------------------------------------+
Index: /trunk/install/db/60-database.php
===================================================================
--- /trunk/install/db/60-database.php	(revision 5214)
+++ /trunk/install/db/60-database.php	(revision 5215)
@@ -31,5 +31,5 @@
 include_once(PHPWG_ROOT_PATH.'include/constants.php');
 include(PHPWG_ROOT_PATH . 'include/config_default.inc.php');
-@include(PHPWG_ROOT_PATH. 'include/config_local.inc.php');
+@include(PHPWG_ROOT_PATH. 'local/config/config.inc.php');
 
 // +-----------------------------------------------------------------------+
Index: /trunk/install/db/65-database.php
===================================================================
--- /trunk/install/db/65-database.php	(revision 5214)
+++ /trunk/install/db/65-database.php	(revision 5215)
@@ -136,5 +136,5 @@
 // get admin charset
   include(PHPWG_ROOT_PATH . 'include/config_default.inc.php');
-  @include(PHPWG_ROOT_PATH. 'include/config_local.inc.php');
+  @include(PHPWG_ROOT_PATH. 'local/config/config.inc.php');
   $admin_charset='iso-8859-1';
   $query='
Index: /trunk/install/db/8-database.php
===================================================================
--- /trunk/install/db/8-database.php	(revision 5214)
+++ /trunk/install/db/8-database.php	(revision 5215)
@@ -41,5 +41,5 @@
 $conf_save = $conf;
 unset($conf);
-@include(PHPWG_ROOT_PATH. 'include/config_local.inc.php');
+@include(PHPWG_ROOT_PATH. 'local/config/config.inc.php');
 if ( isset($conf['gallery_url']) )
 {
Index: /trunk/install/upgrade_1.4.0.php
===================================================================
--- /trunk/install/upgrade_1.4.0.php	(revision 5214)
+++ /trunk/install/upgrade_1.4.0.php	(revision 5215)
@@ -283,5 +283,5 @@
     $page['infos'],
     'the thumbnail prefix configuration parameter was moved to configuration
-file, copy config_local.inc.php from "tools" directory to "include" directory
+file, copy config.inc.php from "tools" directory to "local/config" directory
 and edit $conf[\'prefix_thumbnail\'] = '.$prefix_thumbnail
     );
Index: /trunk/install/upgrade_1.5.0.php
===================================================================
--- /trunk/install/upgrade_1.5.0.php	(revision 5214)
+++ /trunk/install/upgrade_1.5.0.php	(revision 5215)
@@ -334,5 +334,5 @@
 $conf_save = $conf;
 unset($conf);
-@include(PHPWG_ROOT_PATH. 'include/config_local.inc.php');
+@include(PHPWG_ROOT_PATH. 'local/config/config.inc.php');
 if ( isset($conf['gallery_url']) )
 {
Index: /trunk/language/de_DE/admin.lang.php
===================================================================
--- /trunk/language/de_DE/admin.lang.php	(revision 5214)
+++ /trunk/language/de_DE/admin.lang.php	(revision 5215)
@@ -536,5 +536,5 @@
 $lang['the wiki'] = "das wiki";
 $lang['%s value is not correct file because exif are not supported'] = "Der Wert %s ist nicht korrekt weil EXIF nicht unterstützt wird";
-$lang['%s must be to set to false in your config_local.inc.php file'] = "%s muss auf \"false\" in Ihrer Datei config_local.inc.php";
+$lang['%s must be to set to false in your local/config/config.inc.php file'] = "%s muss auf \"false\" in Ihrer Datei local/config/config.inc.php";
 $lang['Main "guest" user does not exist'] = "Der Benutzer \"Gast\" Haupt nicht mehr";
 $lang['Main "guest" user status is incorrect'] = "Der Status der Benutzer \"Gast\" ist falsch";
Index: /trunk/language/en_UK/admin.lang.php
===================================================================
--- /trunk/language/en_UK/admin.lang.php	(revision 5214)
+++ /trunk/language/en_UK/admin.lang.php	(revision 5215)
@@ -536,5 +536,5 @@
 $lang['the wiki'] = "the wiki";
 $lang['%s value is not correct file because exif are not supported'] = "%s value is not correct file because exif are not supported";
-$lang['%s must be to set to false in your config_local.inc.php file'] = "%s must be to set to false in your config_local.inc.php file";
+$lang['%s must be to set to false in your local/config/config.inc.php file'] = "%s must be to set to false in your local/config/config.inc.php file";
 $lang['Main "guest" user does not exist'] = "Main \"guest\" user does not exist";
 $lang['Main "guest" user status is incorrect'] = "Main \"guest\" user status is incorrect";
Index: /trunk/language/es_ES/admin.lang.php
===================================================================
--- /trunk/language/es_ES/admin.lang.php	(revision 5214)
+++ /trunk/language/es_ES/admin.lang.php	(revision 5215)
@@ -535,5 +535,5 @@
 $lang['the wiki'] = "El wiki";
 $lang['%s value is not correct file because exif are not supported'] = "El valor de %s no es correcto porque datos Exif no son soportados";
-$lang['%s must be to set to false in your config_local.inc.php file'] = "%s debe ser puesto a \"false\" en su fichero config_local.inc.php";
+$lang['%s must be to set to false in your local/config/config.inc.php file'] = "%s debe ser puesto a \"false\" en su fichero local/config/config.inc.php";
 $lang['Main "guest" user does not exist'] = "El usuario \"invitado\" principal no existe más";
 $lang['Main "guest" user status is incorrect'] = "El estatuto del usuario \"invitado\" principal es incorrecto";
Index: /trunk/language/fr_FR/admin.lang.php
===================================================================
--- /trunk/language/fr_FR/admin.lang.php	(revision 5214)
+++ /trunk/language/fr_FR/admin.lang.php	(revision 5215)
@@ -535,5 +535,5 @@
 $lang['the wiki'] = "le wiki";
 $lang['%s value is not correct file because exif are not supported'] = "La valeur de %s n'est pas correcte parce que l'exif n'est pas supporté";
-$lang['%s must be to set to false in your config_local.inc.php file'] = "%s doit être mis à \"false\" dans votre fichier config_local.inc.php";
+$lang['%s must be to set to false in your local/config/config.inc.php file'] = "%s doit être mis à \"false\" dans votre fichier local/config/config.inc.php";
 $lang['Main "guest" user does not exist'] = "L'utilisateur \"invité\" principal n'existe plus";
 $lang['Main "guest" user status is incorrect'] = "Le statut de l'utilisateur \"invité\" principal est incorrect";
Index: /trunk/language/it_IT/admin.lang.php
===================================================================
--- /trunk/language/it_IT/admin.lang.php	(revision 5214)
+++ /trunk/language/it_IT/admin.lang.php	(revision 5215)
@@ -535,5 +535,5 @@
 $lang['the wiki'] = "il wiki";
 $lang['%s value is not correct file because exif are not supported'] = "Il valore di %s non è corretto per causa del exif che non è sopportato";
-$lang['%s must be to set to false in your config_local.inc.php file'] = "%s deve essere impostato a \"false\" nel vostro file config_local.inc.php";
+$lang['%s must be to set to false in your local/config/config.inc.php file'] = "%s deve essere impostato a \"false\" nel vostro file local/config/config.inc.php";
 $lang['Main "guest" user does not exist'] = "L'utente \"ospite\" principale non esiste più";
 $lang['Main "guest" user status is incorrect'] = "Lo statuto del'utente \"ospite\" principale non è corretto";
Index: /trunk/language/nl_NL/admin.lang.php
===================================================================
--- /trunk/language/nl_NL/admin.lang.php	(revision 5214)
+++ /trunk/language/nl_NL/admin.lang.php	(revision 5215)
@@ -536,5 +536,5 @@
 $lang['the wiki'] = "de wiki";
 $lang['%s value is not correct file because exif are not supported'] = "%s waarde is niet een correct bestand omdat exif niet ondersteund word";
-$lang['%s must be to set to false in your config_local.inc.php file'] = "%s moet aangepast worden naar false in je config_local.inc.php bestand";
+$lang['%s must be to set to false in your local/config/config.inc.php file'] = "%s moet aangepast worden naar false in je local/config/config.inc.php bestand";
 $lang['Main "guest" user does not exist'] = "Hooft \"gast\" gebruiker bestaat niet meer";
 $lang['Main "guest" user status is incorrect'] = "Hooft \"gast\" gebruikers status is niet correct";
Index: /trunk/language/pl_PL/admin.lang.php
===================================================================
--- /trunk/language/pl_PL/admin.lang.php	(revision 5214)
+++ /trunk/language/pl_PL/admin.lang.php	(revision 5215)
@@ -536,5 +536,5 @@
 $lang['the wiki'] = "wiki";
 $lang['%s value is not correct file because exif are not supported'] = "Wartość %s nie jest poprawna, ponieważ exif nie jest wspierany";
-$lang['%s must be to set to false in your config_local.inc.php file'] = "Wartość %s musi być ustawiona na false w pliku konfiguracyjnym config_local.inc.php";
+$lang['%s must be to set to false in your local/config/config.inc.php file'] = "Wartość %s musi być ustawiona na false w pliku konfiguracyjnym local/config/config.inc.php";
 $lang['Main "guest" user does not exist'] = "Główny użytkownik \"gość\" nie istnieje";
 $lang['Main "guest" user status is incorrect'] = "Status głównego użytkownika \"gość\" jest niepoprawny";
Index: /trunk/language/templates/admin.lang.php
===================================================================
--- /trunk/language/templates/admin.lang.php	(revision 5214)
+++ /trunk/language/templates/admin.lang.php	(revision 5215)
@@ -532,5 +532,5 @@
 $lang['c13y_more_info_wiki'] = 'the wiki';
 $lang['c13y_exif_anomaly'] = '%s value is not correct file because exif are not supported';
-$lang['c13y_exif_correction'] = '%s must be to set to false in your config_local.inc.php file';
+$lang['c13y_exif_correction'] = '%s must be to set to false in your local/config/config.inc.php file';
 $lang['c13y_guest_non_existent'] = 'Main "guest" user does not exist';
 $lang['c13y_bad_guest_status'] = 'Main "guest" user status is incorrect';
Index: /trunk/plugins/LocalFilesEditor/admin.php
===================================================================
--- /trunk/plugins/LocalFilesEditor/admin.php	(revision 5214)
+++ /trunk/plugins/LocalFilesEditor/admin.php	(revision 5215)
@@ -128,5 +128,5 @@
 {
   case 'localconf':
-    $edited_file = PHPWG_ROOT_PATH . "include/config_local.inc.php";
+    $edited_file = PHPWG_ROOT_PATH . "local/config/config.inc.php";
     $content_file = file_exists($edited_file) ?
       file_get_contents($edited_file) : $new_file['localconf'];
Index: /trunk/tools/config.inc.php
===================================================================
--- /trunk/tools/config.inc.php	(revision 5215)
+++ /trunk/tools/config.inc.php	(revision 5215)
@@ -0,0 +1,8 @@
+<?php
+// this file is provided as an example. It does not modify the configuration
+// as long as it remains in "tools" directory. Move it to "include"
+// directory if you want to modify default configuration.
+
+$conf['prefix_thumbnail'] = 'thumb_';
+$conf['show_gt'] = true;
+?>
Index: unk/tools/config_local.inc.php
===================================================================
--- /trunk/tools/config_local.inc.php	(revision 5214)
+++ 	(revision )
@@ -1,8 +1,0 @@
-<?php
-// this file is provided as an example. It does not modify the configuration
-// as long as it remains in "tools" directory. Move it to "include"
-// directory if you want to modify default configuration.
-
-$conf['prefix_thumbnail'] = 'thumb_';
-$conf['show_gt'] = true;
-?>
Index: /trunk/upgrade.php
===================================================================
--- /trunk/upgrade.php	(revision 5214)
+++ /trunk/upgrade.php	(revision 5215)
@@ -43,5 +43,5 @@
 include(PHPWG_ROOT_PATH.'local/config/database.inc.php');
 include(PHPWG_ROOT_PATH . 'include/config_default.inc.php');
-@include(PHPWG_ROOT_PATH. 'include/config_local.inc.php');
+@include(PHPWG_ROOT_PATH. 'local/config/config.inc.php');
 include(PHPWG_ROOT_PATH .'include/dblayer/functions_'.$conf['dblayer'].'.inc.php');
 
Index: /trunk/upgrade_feed.php
===================================================================
--- /trunk/upgrade_feed.php	(revision 5214)
+++ /trunk/upgrade_feed.php	(revision 5215)
@@ -35,5 +35,5 @@
 include(PHPWG_ROOT_PATH.'local/config/database.inc.php');
 include(PHPWG_ROOT_PATH . 'include/config_default.inc.php');
-@include(PHPWG_ROOT_PATH. 'include/config_local.inc.php');
+@include(PHPWG_ROOT_PATH. 'local/config/config.inc.php');
 include(PHPWG_ROOT_PATH .'include/dblayer/functions_'.$conf['dblayer'].'.inc.php');
 