Index: extensions/AMetaData/language/en_UK/description.txt
===================================================================
--- extensions/AMetaData/language/en_UK/description.txt	(revision 5226)
+++ extensions/AMetaData/language/en_UK/description.txt	(revision 5226)
@@ -0,0 +1,1 @@
+Advanced MetaData plugin is a plugin using all the metadata (EXIF, IPTC and XMP) present in the pictures.
Index: extensions/AMetaData/language/en_UK/index.php
===================================================================
--- extensions/AMetaData/language/en_UK/index.php	(revision 5226)
+++ extensions/AMetaData/language/en_UK/index.php	(revision 5226)
@@ -0,0 +1,33 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | PhpWebGallery - a PHP based picture gallery                           |
+// | Copyright (C) 2002-2003 Pierrick LE GALL - pierrick@phpwebgallery.net |
+// | Copyright (C) 2003-2007 PhpWebGallery Team - http://phpwebgallery.net |
+// +-----------------------------------------------------------------------+
+// | file          : $Id: index.php 1912 2007-03-16 06:30:07Z rub $
+// | last update   : $Date: 2007-03-16 07:30:07 +0100 (ven, 16 mar 2007) $
+// | last modifier : $Author: rub $
+// | revision      : $Revision: 1912 $
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: extensions/AMetaData/language/en_UK/plugin.lang.php
===================================================================
--- extensions/AMetaData/language/en_UK/plugin.lang.php	(revision 5226)
+++ extensions/AMetaData/language/en_UK/plugin.lang.php	(revision 5226)
@@ -0,0 +1,168 @@
+<?php
+
+
+$lang['Grum Plugin Classes is not installed'] = 'Le plugin <b>Grum Plugin Classes</b> n\'est pas installé';
+
+$lang['amd_title_page'] = 'Gestion avancée des métadonnées';
+$lang['g003_version'] = 'v';
+
+$lang['g003_error_invalid_ajax_call'] = "Appel de fonction invalide !";
+
+$lang['g003_metadata'] = "Métadonnées";
+$lang['g003_database'] = "Référentiel";
+$lang['g003_status'] = "Status";
+$lang['g003_show'] = "Consulter";
+
+$lang['g003_numberOfAnalyzedPictures'] = "%d images ont fait l'objet d'une analyse et représentent %d métadonnées";
+$lang['g003_numberOfNotAnalyzedPictures'] = "%d images n'ont pas fait l'objet d'une analyse";
+$lang['g003_analyze_not_analyzed_pictures'] = "L'analyse porte sur les images n'ayant jamais été analysées et vient s'ajouter au référentiel actuel";
+$lang['g003_analyze_all_pictures'] = "L'analyse porte sur toutes les images de la galerie et vient remplacer le référentiel actuel";
+$lang['g003_analyze_caddie_add_pictures'] = "L'analyse porte sur les images du panier et vient s'ajouter au référentiel actuel";
+$lang['g003_analyze_caddie_replace_pictures'] = "L'analyse porte sur les images du panier et vient remplacer le référentiel actuel";
+$lang['g003_analyze'] = "Analyser";
+$lang['g003_update_metadata'] = "Mettre à jour le référentiel de métadonnées";
+$lang['g003_status_of_database'] = "Etat du référentiel";
+$lang['g003_updating_metadata'] = "Mise à jour du référentiel";
+$lang['g003_analyze_in_progress'] = "Traitement en cours...";
+$lang['g003_analyze_is_finished'] = "Traitement terminé";
+$lang['g003_loading'] = "Chargement...";
+$lang['g003_numberOfPicturesWithoutTags'] = "%d images ne disposent pas de métadonnées";
+$lang['g003_no_items_selected'] = "Aucune métadonnée n'est sélectionnée";
+$lang['g003_selected_tag_isnot_linked_with_any_picture'] = "La métadonnée sélectionnée n'est rattachée à aucune image";
+$lang['g003_TagId'] = "Métadonnée";
+$lang['g003_TagLabel'] = "Nom";
+$lang['g003_NumOfImage'] = "Images";
+$lang['g003_Pct'] = "%";
+$lang['g003_select'] = "Sélection";
+$lang['g003_display'] = "Affichage";
+$lang['g003_order'] = "Trier par";
+$lang['g003_filter'] = "Filtrer";
+$lang['g003_tagOrder'] = "Métadonnée";
+$lang['g003_numOrder'] = "Nombre d'images";
+$lang['g003_valueOrder'] = "Valeur";
+$lang['g003_no_filter'] = "Aucun filtre";
+$lang['g003_magic_filter'] = "Magic (métadonnées calculées)";
+$lang['g003_exclude_unused_tags'] = "Exclure les métadonnées inutilisées";
+$lang['g003_Value'] = "Valeur";
+$lang['g003_selected_tags_only'] = "Ne restituer que les métadonnées sélectionnées";
+
+$lang['g003_select_metadata'] = "Sélection des métadonnées";
+$lang['g003_display_management'] = "Gestion de l'affichage des métadonnées";
+$lang['g003_number_of_filtered_metadata'] = "Nombre de métadonnées :";
+$lang['g003_number_of_distinct_values'] = "Nombre de valeurs distinctes :";
+
+$lang['g003_click_to_edit_group'] = "Cliquer pour éditer les propriétés du groupe de métadonnées";
+$lang['g003_click_to_delete_group'] = "Cliquer pour supprimer le groupe de métadonnées";
+$lang['g003_click_to_manage_group'] = "Cliquer pour gérer les éléments du groupe de métadonnées";
+$lang['g003_click_to_manage_list'] = "Cliquer pour ajouter/supprimer des métadonnées";
+$lang['g003_add_a_group'] = "Ajouter un groupe de métadonnées";
+$lang['g003_adding_a_group'] = "Ajout d'un groupe de métadonnées";
+$lang['g003_editing_a_group'] = "Edition d'un groupe de métadonnées";
+$lang['g003_deleting_a_group'] = "Suppression d'un groupe de métadonnées";
+$lang['g003_new_group'] = "Nouveau groupe de métadonnées";
+$lang['g003_name'] = "Nom";
+$lang['g003_add_delete_tags'] = "Ajouter/Supprimer des métadonnées";
+$lang['g003_confirm_group_delete'] = "Etes-vous sur de vouloir supprimer le groupe de métadonnées %s ?";
+$lang['g003_default_group_name'] = "Conditions de la prise de vue";
+
+$lang['g003_ok'] = "Ok";
+$lang['g003_cancel'] = "Annuler";
+$lang['g003_yes'] = "Oui";
+$lang['g003_no'] = "Non";
+
+
+$lang['g003_invalid_group_id'] = "Identifiant de groupe de métadonnées invalide";
+$lang['g003_no_tag_can_be_selected'] = "Aucune métadonnée n'est disponible";
+
+
+$lang['g003_warning_on_analyze_3'] = "Le référentiel s'alimente peu à peu chaque fois qu'une page de la galerie est visitée. La durée nécessaire pour l'alimentation complète du référentiel dépends donc :";
+$lang['g003_warning_on_analyze_3a'] = "du nombre de photos dans la gallerie";
+$lang['g003_warning_on_analyze_3b'] = "du nombre de pages visualisées quotidiennement";
+$lang['g003_warning_on_analyze_4a'] = "le référentiel n'est exploité qu'à des fins statistiques et facilite le choix des métadonnées sélectionnées pour affichage";
+$lang['g003_warning_on_analyze_4b'] = "une image non prise prise en compte pour l'alimentation du référentiel disposera quand même des métadonnées sur la galerie";
+$lang['g003_warning_on_analyze_5'] = "Afin de disposer rapidement d'un référentiel complet, il est possible de procéder à une analyse plus directe de la galerie :";
+$lang['g003_warning_on_analyze_0'] = "Attention !";
+$lang['g003_warning_on_analyze_1'] = "L'alimentation du référentiel via le processus d'analyse directe peut s'avérer être long (jusqu'à plusieurs minutes de traitement) et gourmand en ressources sur le serveur en fonction du nombre de photos sélectionnées pour l'analyse.";
+$lang['g003_warning_on_analyze_2'] = "Certains hébergeurs peuvent sanctionner ce type d'usage.";
+
+
+
+$lang['g003_metadata_detail'] = "Domaine de valeurs pour la métadonnée";
+
+$lang['g003_help'] = "Aide sur les métadonnées";
+$lang['g003_help_tab_exif'] = "Exif";
+$lang['g003_help_tab_iptc'] = "IPTC";
+$lang['g003_help_tab_xmp'] = "XMP";
+$lang['g003_help_tab_magic'] = "Magic";
+$lang['g003_help_exif'] = "Les métadonnées EXIF sont des informations qui sont stockées dans l'image, par l'appareil photo, au moment de la prise de vue.
+
+Les informations que l'on y trouve sont essentiellement techniques :
+[ul]
+[li]matériel utilisé (modèle de l'appareil, constructeur)[/li]
+[li]les conditions de prises de vue (ouverture, temps d'exposition, focale)[/li]
+[li]le moment de la prise de vue (date, heure)[/li]
+[li]le lieu géographique (données GPS)[/li]
+[li]des informations sur le format de la photo (dimensions, résolution, compression)[/li]
+[/ul]
+
+L'alimentation des métadonnées EXIF est normalisée ([url]http://www.exif.org/Exif2-2.PDF[/url]), néanmoins :
+[ul]
+[li]cette norme mise en place par le [url=http://www.jeita.or.jp]JEITA[/url] (Japan Electronics and Information Technology Industries Association) n'évolue plus depuis 2002[/li]
+[li]chaque métadonnée définie dans la norme est facultative : tous les appareils ne renseignent donc pas toutes les métadonnées[/li]
+[li]il existe une métadonnée [i]MakerNote[/i] qui est un champ libre exploité par les fabriquants et dans laquelle sont stockées des informations non présentes dans les spécifications (par exemple, les références de l'objectif) ; ces informations sont propres à chaque fabricant, voir propre à chaque appareil. Le plugin sait interpréter une partie de ces informations pour les appareils [b]Pentax[/b], [b]Canon[/b] et [b]Nikon[/b].[/li]
+[/ul]";
+
+$lang['g003_help_iptc'] = "Les métadonnées IPTC sont des informations qui sont stockées dans l'image, par le photographe, via un logiciel approprié.
+
+La nature des informations que l'on y trouve est essentiellement orientée vers le monde professionnel :
+[ul]
+[li]les références du photographe (nom, contact)[/li]
+[li]les informations relatives au Copyright[/li]
+[li]la description de la photo (titre, description, commentaires, mot-clefs)[/li]
+[li]des informations diverses relatives au monde professionnel[/li]
+[/ul]
+
+L'alimentation des métadonnées IPTC est normalisée ([url]http://www.iptc.org[/url]).
+Cette norme a été mise en place par un consortium réunissant les principales agences de presses du monde, L[i]'International Press Telecommunications Council[/i] (abrégé en IPTC).";
+$lang['g003_help_xmp'] = "Les métadonnées XMP sont essentiellement des métadonnées EXIF et IPTC qui sont stockées dans l'image au format XML.
+
+L'avantage des métadonnées XMP, c'est l'apport d'une certaine souplesse :
+[ul]
+[li]les informations peuvent y être stockées en plusieurs langues[/li]
+[li]l'emploi du jeu de caractères Unicode permet (principalement) d'utiliser des caractères non latin[/li]
+[li]le format XML facilite l'interprétation et l'échange d'information[/li]
+[/ul]
+
+L'alimentation des métadonnées XMP est normalisée ([url]http://www.metadataworkinggroup.org/specs[/url]).
+La norme conseille d'exploiter de préférence les métadonnées EXIF et IPTC si celles-ci sont présentes.
+
+La conversion des métadonnées EXIF & IPTC en métadonnées XMP s'effectue généralement au moyen de logiciels de retouche photographique.
+
+Le modèle XMP étant plus pauvre que le modèle EXIF, les conséquences de cette conversion se traduisent par une perte d'informations au niveau de la photo. Généralement les informations perdues ne sont pas d'une grande importance pour la plupart des utilisateurs, néanmoins la norme préconise que les logiciels qui enregistrent les métadonnées XMP conservent les métadonnées d'origine : ce n'est malheureusement pas toujours le cas.
+";
+$lang['g003_help_magic'] = "Une même information peut être stockée sous plusieurs formats au sein d'une photo :
+[ul]
+[li]elle peut être présente dans tous les formats[/li]
+[li]elle peut être présente dans un format mais pas dans un autre[/li]
+[/ul]
+
+Par exemple, l'ouverture du diaphragme peut être présente dans 4 métadonnées différentes :
+[ul]
+[li][b]exif.exif.FNumber[/b][/li]
+[li][b]exif.exif.ApertureValue[/b][/li]
+[li][b]xmp.exif:ApertureValue[/b][/li]
+[li][b]xmp.exif:FNumber[/b][/li]
+[/ul]
+
+Afin de faciliter la restitution des informations pouvant être éparpillées, le plugin propose un petit panel des métadonnées les plus usitées et se charge d'en analyser la présence dans les photos, et de restituer l'information la plus pertinente.
+Ce sont les métadonnées nommées [b]Magic[/b].
+
+Ainsi, la métadonnée [b]magic.ShotInfo.Aperture[/b] restitue :
+[ul]
+[li]la valeur de la métadonnée [b]exif.exif.FNumber[/b] si celle-ci est présente dans la photo, sinon[/li]
+[li]la valeur de la métadonnée [b]xmp.exif:FNumber[/b] si celle-ci est présente dans la photo, sinon[/li]
+[li]la valeur de la métadonnée [b]exif.exif.ApertureValue[/b] si celle-ci est présente dans la photo, sinon[/li]
+[li]la valeur de la métadonnée [b]xmp.exif:ApertureValue[/b] si celle-ci est présente dans la photo[/li]
+[/ul]";
+
+?>
Index: extensions/AMetaData/language/fr_FR/description.txt
===================================================================
--- extensions/AMetaData/language/fr_FR/description.txt	(revision 5191)
+++ extensions/AMetaData/language/fr_FR/description.txt	(revision 5226)
@@ -1,1 +1,1 @@
-Advanced MetaData est un plugin permettant d'exploiter au maximum les métadonnées présentes dans les photos.
+Advanced MetaData est un plugin permettant d'exploiter au maximum les métadonnées (EXIF, IPTC et XMP) présentes dans les photos.
Index: extensions/AMetaData/language/fr_FR/plugin.lang.php
===================================================================
--- extensions/AMetaData/language/fr_FR/plugin.lang.php	(revision 5191)
+++ extensions/AMetaData/language/fr_FR/plugin.lang.php	(revision 5226)
@@ -8,13 +8,8 @@
 $lang['g003_error_invalid_ajax_call'] = "Appel de fonction invalide !";
 
-$lang['g003_stat'] = "Statistiques";
 $lang['g003_metadata'] = "Métadonnées";
 $lang['g003_database'] = "Référentiel";
 $lang['g003_status'] = "Status";
 $lang['g003_show'] = "Consulter";
-
-$lang['g003_performances'] = "Performances";
-$lang['g003_setting_nb_items_per_request'] = "Nombre d'images analysées par requêtes";
-$lang['g003_apply'] = "Appliquer";
 
 $lang['g003_numberOfAnalyzedPictures'] = "%d images ont fait l'objet d'une analyse et représentent %d métadonnées";