Index: /branches/2.0/include/common.inc.php
===================================================================
--- /branches/2.0/include/common.inc.php	(revision 5232)
+++ /branches/2.0/include/common.inc.php	(revision 5233)
@@ -145,4 +145,10 @@
   define('PHPWG_DOMAIN', 'cn.piwigo.org');
 }
+else if ('hu_HU' == $user['language']) {
+  define('PHPWG_DOMAIN', 'hu.piwigo.org');
+}
+else if ('ru_RU' == $user['language']) {
+  define('PHPWG_DOMAIN', 'ru.piwigo.org');
+}
 else {
   define('PHPWG_DOMAIN', 'piwigo.org');
Index: /branches/2.0/install.php
===================================================================
--- /branches/2.0/install.php	(revision 5232)
+++ /branches/2.0/install.php	(revision 5233)
@@ -224,4 +224,10 @@
   define('PHPWG_DOMAIN', 'cn.piwigo.org');
 }
+else if ('hu_HU' == $language) {
+  define('PHPWG_DOMAIN', 'hu.piwigo.org');
+}
+else if ('ru_RU' == $language) {
+  define('PHPWG_DOMAIN', 'ru.piwigo.org');
+}
 else {
   define('PHPWG_DOMAIN', 'piwigo.org');
Index: /branches/2.0/language/hu_HU/about.html
===================================================================
--- /branches/2.0/language/hu_HU/about.html	(revision 5232)
+++ /branches/2.0/language/hu_HU/about.html	(revision 5233)
@@ -4,5 +4,5 @@
 
   <li>Amennyiben javaslata vagy észrevételei vannak, kerese fel a <a
-  href="http://piwigo.org">Piwigo</a> hivatalos honlapját, és az ezzel foglalkozó 
-  <a href="http://piwigo.org/forum/">fórumot</a>.</li>
+  href="http://hu.piwigo.org">Piwigo</a> hivatalos honlapját, és az ezzel foglalkozó 
+  <a href="http://hu.piwigo.org/forum/">fórumot</a>.</li>
 
Index: /branches/2.0/language/hu_HU/help.html
===================================================================
--- /branches/2.0/language/hu_HU/help.html	(revision 5232)
+++ /branches/2.0/language/hu_HU/help.html	(revision 5233)
@@ -15,5 +15,5 @@
     style="display:none"
   >
-    <p><a href="http://piwigo.org/ext/extension_view.php?eid=270">pLoader Windows</a> vagy <a href="http://piwigo.org/ext/extension_view.php?eid=269">pLoader Linux</a> : Lírás, letöltés és részletek az új javításokról.</p>
+    <p><a href="http://hu.piwigo.org/ext/extension_view.php?eid=270">pLoader Windows</a> vagy <a href="http://hu.piwigo.org/ext/extension_view.php?eid=269">pLoader Linux</a> : Lírás, letöltés és részletek az új javításokról.</p>
     <ol>
       <li>Hozz létre egy "upload" mappát a "galeries" mappába.</li>
@@ -300,5 +300,5 @@
 
   <li>If you have any question, Piwigo community will welcome you on <a
-  href="http://piwigo.org/forum">its forum</a>.</li>
+  href="http://hu.piwigo.org/forum">its forum</a>.</li>
 
 </ul>
Index: /branches/2.0/language/ru_RU/about.html
===================================================================
--- /branches/2.0/language/ru_RU/about.html	(revision 5232)
+++ /branches/2.0/language/ru_RU/about.html	(revision 5233)
@@ -4,4 +4,4 @@
 
   <li>Если у Вас есть какие-либо пожелания или комментарии по скрипту, оставьте их на официальном сайте <a
-  href="http://piwigo.org">Piwigo</a>, и его <a href="http://piwigo.org/forum">форуме</a>.</li>
+  href="http://ru.piwigo.org">Piwigo</a>, и его <a href="http://ru.piwigo.org/forum">форуме</a>.</li>
 
Index: /branches/2.0/language/ru_RU/help.html
===================================================================
--- /branches/2.0/language/ru_RU/help.html	(revision 5232)
+++ /branches/2.0/language/ru_RU/help.html	(revision 5233)
@@ -230,6 +230,6 @@
 
   <li>Если у Вас есть вопросы, не стесняйтесь поискать ответы на <a
-  href="http://piwigo.org/forum">форуме</a> или задать их там. Для получения более развернутых сведений, прочтите <a
-  href="http://piwigo.org/doc/">официальную документация по Piwigo</a>.</li>
+  href="http://ru.piwigo.org/forum">форуме</a> или задать их там. Для получения более развернутых сведений, прочтите <a
+  href="http://ru.piwigo.org/doc/">официальную документация по Piwigo</a>.</li>
 
 </ul>
Index: /branches/2.0/upgrade.php
===================================================================
--- /branches/2.0/upgrade.php	(revision 5232)
+++ /branches/2.0/upgrade.php	(revision 5233)
@@ -179,4 +179,10 @@
 else if ('zh_CN' == $language) {
   define('PHPWG_DOMAIN', 'cn.piwigo.org');
+}
+else if ('hu_HU' == $language) {
+  define('PHPWG_DOMAIN', 'hu.piwigo.org');
+}
+else if ('ru_RU' == $language) {
+  define('PHPWG_DOMAIN', 'ru.piwigo.org');
 }
 else {